{% extends 'repeater/base.html' %}
{% block content %}
<h4>Help update our QSO Map</h4>
<p>By filling in the form below, you help fill in our QSO map. You can use latitude/longitude OR What3Words, and by entering your 
	signal strength (just the strength, not the readability) you help us improve the repeater.</p>
</p>
<form action="{% url 'repeater:qso' %}" method="post">
	{% if messages %}
    {% for message in messages %}
        {% if message.level == DEFAULT_MESSAGE_LEVELS.ERROR %}
		<div class="alert alert-danger" role="alert">
		{% else %}
		<div class="alert alert-primary" role="alert">

		{% endif %}
		{{ message }}
		</div>
    {% endfor %}
{% endif %}
	<div class="mb-3">
		{% csrf_token %}
    		<label for="callsign"class="form-label" >Callsign: </label>
    		<input id="callsign" type="text" name="callsign" class="form-control" aria-describedby="callsignHelp" placeholder="2W0AMN">
			<small id="callsignHelpBlock" class="form-text text-muted">
				The callsign can be up to 8 characters. For mobile or portable operation, add "/m" or "/p"
			</small>
	</div>
	<div class="mb-3">
    		<label for="signal_strength" class="form-label">Signal Strength: </label>
    		<input id="signal_strength" type="number" name="signal_strength" class="form-control" aria-describedby="signalHelp" placeholder="9">
	</div>
	<br><br>
	<h4>Add the Latitude and Longitude OR the What3Words reference, you don't need to enter both</h4>
	<div class="mb-3">
    		<label for="longitude" class="form-label">Longitude: </label>
    		<input id="longitude" type="longitude" name="longitude" class="form-control" placeholder="-3.799090">
	</div>
	<div class="mb-3">
    		<label for="latitude" class="form-label">Latitude: </label>
    		<input id="latitude" type="text" name="latitude" class="form-control" placeholder="53.141060">
	</div>
	<div class="mb-3">
    		<label for="what3words" class="form-label">What3Words: </label>
		<input id="what3words" type="text" name="what3words" class="form-control" aria-describedby="whatHelp", placeholder="belts.thumb.woodstove">
	</div>
    	<button type="submit" class="btn btn-primary">Enter QSO</button>
</form>
{% endblock %}
